if ! zenity --question --text "Soll Teamviewer jetzt heruntergeladen und installiert werden?" --title "Teamviewer"; then
  exit;
fi
tempfile=/tmp/teamviewer_linux.deb 
wget http://www.teamviewer.com/download/teamviewer_linux.deb -O $tempfile --progress=bar:force 2>&1 | zenity --progress --title="Teamviewer wird heruntergeladen." --no-cancel --auto-close --width=400

if [ -f $tempfile ]; then
  gksu "dpkg -i $tempfile"
  if [ $? -eq 0 ]; then
    if zenity --question --text "Teamviewer wurde erfolgreich installiert. Teamviewer jetzt starten?" --title "Teamviewer"; then
      teamviewer
    fi
  else
    zenity --error --text "Installation fehlgeschlagen!" --title "Teamviewer"
  fi
else
  zenity --error --text "Download fehlgeschlagen!" --title "Teamviewer"
fi
rm $tempfile
